CentOS5 升级php和mysql到最新版本转

作者: mikj 分类: 建站学习 发布时间: 2009-11-04 13:12 ė 6没有评论

CentOS5 升级php和mysql到最新版本

CentOS的php版本默认为5.1.6,然后在5.2.9版本之前的的php都存在一个漏洞,但是目前网上很多地方都无法使用yum update php*升级到最新版本,比较常见的是升级到5.2.6版本的,经过搜索国外资料,现在终于找到一种升级CentOS的php到最新版本的方法。目前最新版本是5.3.0。
注意,此方法只能在官方的php版本上升级,如果你使用网上的升级到5.2.6版本的升级方法已经升级了,将无法使用本方法升级php。
运行下面命令:


 

wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-3.noarch.rpm
wget http://rpms.famillecollet.com/enterprise/5/remi/i386/remi-release-5-7.el5.remi.noarch.rpm

rpm -Uvh remi-release-5*.rpm epel-release-5*.rpm

然后编辑/etc/yum.repos.d/remi.repo

vi /etc/yum.repos.d/remi.repo

在这个文件的最后增加一行:

priority=1

保存退出。
/etc/yum.repos.d/epel.repo和/etc/yum.repos.d/epel-testing.repo这两个文件也按照上面的方法进行编辑!!
使用下面的命令进行升级,但是经过测试,如果单独升级php将提示失败,只有联通mysql一起升级才可以,所以我们必须执行以下命令才能升级php到最新版本:

yum –enablerepo=remi update php* mysql*

转自   http://cck.me/index.php?trackback/12

本文出自 小沨的天空,转载时请注明出处及相应链接。

本文永久链接: https://www.xinai.de/6003.html

0

发表评论

电子邮件地址不会被公开。 必填项已用*标注

You must enable javascript to see captcha here!

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据

Ɣ回顶部